body.modal-open {
  overflow: hidden;
}
.modal {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  opacity: 1;
  display: none;

  background: rgba(0,0,0,0.5);
  backdrop-filter: blur(4px);

  justify-content: center;
  align-items: center;

  z-index: 9999;
}

.modal-content>form { 
  width: 100%;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  gap: 12px; 
  border-radius: 10px;
  margin-top: 50px;
  background-color: #fff; 
}

.form-title-container {
  padding: 20px 44px;
  border-bottom: 1px solid rgb(220, 220, 220);
  text-align: center;
}

.form-title-container>h1 {
  text-align: center;
  color: #13275c;
  margin-bottom: 0; 
  font-size: 32px;
}

.form-title-container>h2 {
  margin: 0 0 20px 0;
  text-align: center;
  color: #26253c;
  font-size: 24px;
}

.form-input-container {
  padding: 35px 25px 10px 25px;
  
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
}

.form-submit-container {
  display: flex;
  padding: 35px;
  justify-content: space-between;
  align-items: center;
}

.form-submit-container>div{
  display: flex;
  flex-direction: row;
  align-items: end;
  font-weight: 600;
  font-size: 18px;
} 
.form-submit-container>div>svg{
  margin-right: 3px;
}

.form-submit-container>button{
  margin: 0;
}

.form-input-container>input {
  margin: 8px;
}

.form-input-container>input:focus {
  outline: none;
  border: 2px solid #20419a;
}

.form-input-container>input, .form-input-container>button {
  outline: 0;
  border: 0;
  padding: 17px 22px;
  border-radius: 5px;
  background: #e9e9ef;
  color: #424141;
  font-size: 16px;
  font-family: 'General Sans', sans-serif;
  font-weight: 500;
  resize: none;
}

.form-submit-container>button {
  background: #20419a;
  color: #fff;
  border: none;
  cursor: pointer;
  border-radius: 10px;
  font-size: 18px;
  font-weight: 600;
  margin-top: 20px;
  transition: transform 0.25s ease;
  padding: 17px 22px;
}

.form-submit-container>button:hover {
  transform: scale(1.02);
}

.checkbox {
  padding: 0 35px;
}

.checkbox input[type="checkbox"] {
  display: none; /* Приховуємо стандартний чекбокс */
}

.checkbox label {
  position: relative;
  padding-left: 30px; /* Відступ для кастомної галочки */
  cursor: pointer;
  font-size: 16px;
}

.checkbox label::before {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  width: 15px;
  height: 15px;
  background-color: #fff;
  border: 1px solid #3f579ba5; /* Синій колір бордера */
  border-radius: 4px; /* Круглий або квадратний за бажанням */
  transition: background-color 0.3s, border-color 0.3s;
}

.checkbox input[type="checkbox"]:checked + label::before {
  background-color: #20419a; /* Синій фон при checked */
  border-color: #20419a; /* Синій бордер */
}

.checkbox input[type="checkbox"]:checked + label::after {
  content: "";
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3E%3Cpath d='M6.2 11.5 2.8 8.1l1.4-1.4 2 2 5.6-5.6 1.4 1.4z' fill='white'/%3E%3C/svg%3E");
  position: absolute;
  left: -4px;
  top: -1px;
  width: 25px;
  height: 25px;
  background-size: contain;
  background-repeat: no-repeat;
  transition: 0.3s ease;
}

.checkbox input[type="checkbox"]:focus + label::before {
  box-shadow: 0 0 0 3px rgba(32, 65, 154, 0.3); /* Додаємо фокусний ефект */
}

.burger-container>button {
  padding: 0;
}

.modal.active {
  display: flex;
}

.modal-content {
  background: white; 
  border-radius: 10px;
  max-width: 600px;
  width: 90%;
  position: relative;

  animation: modalShow 0.35s ease;
}

.modal-close {
  position: absolute;
  top: 10px;
  right: 12px;

  border: none;
  background: none;
  font-size: 22px;
  cursor: pointer;
}

@keyframes modalShow {
  from {
    transform: translateY(-40px);
    opacity: 0;
  }
  to {
    transform: translateY(0);
    opacity: 1;
  }
}


@media (max-width: 768px) {
 .form-title-container {
  padding: 20px 10px;
 } 

 .form-input-container>input {
  width: 100%;
 }

 .form-input-container,.checkbox {
  padding: 10px;
 }

  .form-submit-container {
    padding: 10px 10px 30px 10px;
    flex-direction: column;
  }
  .form-input-container>input {
    margin: 8px 0;
  }

  .form-title-container>h2 {
    margin: 10px 0;
  }
  .form-title-container>h1 {
    margin: 0;
  }
  .form-title-container {
    padding: 0 10px;
  }

  .form-submit-container>div {
    display: none;
  }
  .checkbox label {
    font-size: 14px;
  }
  .modal-content>form { 
    max-height: 600px; 
  }
}